addpath(genpath('../'));

% LOAD trajectories
load('../data/Lankershim/traj_proc.mat')
load('../data/Lankershim/DDTW.mat')
Labels = csvread('../data/Lankershim/Labels.csv');

D = full(track2grid(traj, 160, 200, 10, 10,[80;-300])); 

% sampling
alpha_ddcrp = 20;     
lambda = 0.005;       
S_ddcrp = 10;         
fD = exp(-lambda*DTW);
lambda_ddcrp = ones(size(D,1),1);
[PicksS,Zddcrp,BlW_lnS,PCS_ln,WS]=ddcrp_dir_sampler(D,fD,S_ddcrp,alpha_ddcrp,lambda_ddcrp);

% Draw Labels the last sample
L = length(unique(Zddcrp(end,:)));
figure; 
for i = 1:L
    
    subplot(5,5,i);  
    hold on; 
    XY_temp = traj(find(Zddcrp(end,:)==i));

    for j=1:length(XY_temp)
        plot(XY_temp{j}(1,:),XY_temp{j}(2,:));
    end
    
    axis([-80 80 300 500]);axis square ;
    set(gca,'xtick',[]);set(gca,'ytick',[]);
    set(gca,'xticklabel',[]);set(gca,'yticklabel',[]);
    title(i)
end